summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatsuu Takuto <matsuu@gentoo.org>2011-09-13 15:14:49 +0000
committerMatsuu Takuto <matsuu@gentoo.org>2011-09-13 15:14:49 +0000
commita8a0310acefd98b146df05d4887f7ce1ab27f580 (patch)
treecda6f882112cae2301a2c09eb985285529a9e96f /net-dns/unbound/files
parentMask the latest nvidia-drivers package (diff)
downloadhistorical-a8a0310acefd98b146df05d4887f7ce1ab27f580.tar.gz
historical-a8a0310acefd98b146df05d4887f7ce1ab27f580.tar.bz2
historical-a8a0310acefd98b146df05d4887f7ce1ab27f580.zip
Fixed python modules handling. The patch was submitted by Tom Hendrikx, bug #378395. Removed oknodo from unbound.initd, bug #379947.
Package-Manager: portage-2.1.10.15/cvs/Linux x86_64
Diffstat (limited to 'net-dns/unbound/files')
-rw-r--r--net-dns/unbound/files/unbound.initd33
1 files changed, 19 insertions, 14 deletions
diff --git a/net-dns/unbound/files/unbound.initd b/net-dns/unbound/files/unbound.initd
index e9e902c9b9cb..90deb23e4ac8 100644
--- a/net-dns/unbound/files/unbound.initd
+++ b/net-dns/unbound/files/unbound.initd
@@ -1,9 +1,15 @@
#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-dns/unbound/files/unbound.initd,v 1.1 2009/11/22 16:57:33 matsuu Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-dns/unbound/files/unbound.initd,v 1.2 2011/09/13 15:14:49 matsuu Exp $
+
+name="unbound daemon"
+extra_commands="configtest"
+extra_started_commands="reload"
+description="unbound is a Domain Name Server (DNS) that is used to resolve host names to IP address."
+description_configtest="Run syntax tests for configuration files only."
+description_reload="Kills all children and reloads the configuration."
-opts="${opts} checkconfig reload"
UNBOUND_BINARY=${UNBOUND_BINARY:-/usr/sbin/unbound}
UNBOUND_CHECKCONF=${UNBOUND_CHECKCONF:-/usr/sbin/unbound-checkconf}
@@ -21,9 +27,15 @@ checkconfig() {
return $?
}
+configtest() {
+ ebegin "Checking ${SVCNAME} configuration"
+ checkconfig
+ eend $?
+}
+
start() {
checkconfig || return $?
- ebegin "Starting unbound"
+ ebegin "Starting ${SVCNAME}"
start-stop-daemon --start --pidfile "${UNBOUND_PIDFILE}" \
--exec "${UNBOUND_BINARY}" -- -c "${UNBOUND_CONFFILE}"
eend $?
@@ -31,21 +43,14 @@ start() {
stop() {
checkconfig || return $?
- ebegin "Stopping unbound"
+ ebegin "Stopping ${SVCNAME}"
start-stop-daemon --stop --pidfile "${UNBOUND_PIDFILE}"
eend $?
}
-restart() {
- checkconfig || return $?
- svc_stop
- svc_start
-}
-
reload() {
checkconfig || return $?
- ebegin "Reloading unbound"
- start-stop-daemon --stop --pidfile "${UNBOUND_PIDFILE}" \
- --signal HUP --oknodo
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${UNBOUND_PIDFILE}"
eend $?
}